Subject: RE: [Isis-wg] Establishing Router Adjacencies

From: "Philip Christian"<[email-masked]>
Date: Fri, 11 Jan 2002 14:13:47 -0000

Clearly a router that supports CLNP and IP in a dual way, cannot gate
adjacency formation upon IP addresses, but MUST act in the way that RFC 1195
states.

It is only an IP-only router that can get away with this "non-conformant"
behaviour. I put that in quotes because it might be considered as a positive
feature, I'm not trying to suggest that it is either good or bad.

The question now comes, what about a router that is a dual IPv4 and IPv6?  I
would say that it should either

a: just ignore IP addresses and bring up adjacencies as per the various
standards

or

b: bring up the adjacency if there is EITHER a logical IPv4 subnet, OR if
there is a logical IPv6 subnet.

Otherwise you get an IPv4 configuration error blocking the IPv6 traffic and
vice versa, which would be wrong, I would have thought.

Presumably the gating of an adjacency upon a valid IP subnet is switched off
in anycase if both ends are configured to be unnumbered.

Philip

-----Original Message-----
From: Jeff Learman [mailto:[email-masked]]
Sent: 10 January 2002 23:28
To: Ken Larmer
Cc: [email-masked]'; HURLEY,JOHN (A-Portsmouth,ex1)
Subject: RE: [Isis-wg] Establishing Router Adjacencies

If the IP address causes an adjacency not to form, and adjacencies are
used for DR election, then they would be related (but shouldn't be!)

Jeff

At 06:12 PM 1/10/2002, Ken Larmer wrote:
>Hi Jeff,
>
>
>> If both kinds of implementation were mixed, including OSI-only
>> implementations, wouldn't that mess up the DR election?
>>
>> Regards,
>> Jeff
>
>Not sure what you mean by this? The IP address has no impact on the DR
>election, though I think I'm missing your point?
>
>Cheers,
>Ken
>
>
>>
>> At 01:21 PM 1/10/2002, Ken Larmer wrote:
>> >Hi John,
>> >
>> >> Section 4.4 of RFC 1195 it talks about maintaining router adjacencies.
>> >> The first line states that these adjacencies are independent of the IP
>> >> interface
>> >> addresses of the routers.
>> >>
>> >> Does this mean that if an IS sends an IIH to another IS on the
>> >> same physical
>> >> LAN
>> >>   a) without an IP Interface Address TLV
>> >>      or
>> >>   b) with an IP Interface Address TLV that doesn't have a logical
>> >> subnet in
>> >>      common with the other IS
>> >> the ISs should establish adjacencies with each other.
>> >
>> >
>> >In accordance with RFC-1195 the answer to the above is yes!
>> However, reality
>> >being what it is, I have only seen 1 implementation that
>> actually works in
>> >this maner! Most implementations do require a common subnet
>> prior to forming
>> >an adjacency.
>> >
>> >Cheers,
>> >Ken Larmer
>> >CommSense Networks
>> >
>> >_______________________________________________
>> >Isis-wg mailing list  -  [email-masked]
>> >http://external.juniper.net/mailman/listinfo/isis-wg
>>
>>

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Jeff Learman <[email-masked]>
Date: Fri, 11 Jan 2002 10:28:29 -0500

Philip,

Afer giving it a little more thought, I'm going to back off a little,
since a LAN that has OSI-only routers and IP-only routers is either
violating RFC-1195 deployment rules, or else it's placing multiple
areas on a single LAN.  (The latter is not clearly and explicitly
forbidden by 10589, but I've seen a pretty strong argument from
Les Ginsberg that it's not intended and is a bad idea anyway.)

For implementations that run SPF independently for each protocol and
allow relaxation of the RFC-1195 rules, not forming adjacencies would
be disaster, I think, because it would mean that different sets of
routers might elect different DRs (and the elected DR may not know it
was elected.)  But I think the behavior of a system when placed in a
network that is not according to RFC-1195 deployment rules is beyond
the scope of RFC-1195 and therefore not mandated by it.

As you say, this will become much more important as IPv6 support
increases.  Currently, we have only RFC-1195 and its very restrictive
deployment rules, which I suspect will not serve the customers very well.
There is a lot more to work out than adjacency formation with respect
to relaxing the deployment rules, and we can't talk about adjacency
formation without also discussing, very carefully, DR election and
whether to run SPF independently for each protocol (not required by
1195).

My opinion right now is that it's safer to always form the adjacency.
If you don't, then your customers MUST follow the 1195 deployment
rules.  If you don't always form adjacencies and if the network does
not adhere to the deployment rules on a given LAN, there might be
disagreement among different implementations on which system is the
DR, and careful configuration of DR priority is required to work
around it.

Not forming the adjacency seems sensible but take care to consider
DR election and backwards compatibility.  We had a lengthy discussion
of this point a few months ago, some of which you may find if you
peruse the archive.

I thing the very first thing we should do is decide whether the
RFC-1195 deployment restrictions will serve us for IPv4/IPv6 integration.
If we focus on that (and consider backwards compatibility), I believe
that whatever we come up with should also apply to OSI/IP combinations.
That is, we should have good multiprotocol rules that are protocol
independent.  (We already do, but with 1195's topology restrictions.)

Regards,
Jeff

At 09:13 AM 1/11/2002, Philip Christian wrote:

>Clearly a router that supports CLNP and IP in a dual way, cannot gate adjacency formation upon IP addresses, but MUST act in the way that RFC 1195 states.
>
>It is only an IP-only router that can get away with this "non-conformant" behaviour. I put that in quotes because it might be considered as a positive feature, I'm not trying to suggest that it is either good or bad.
>
>The question now comes, what about a router that is a dual IPv4 and IPv6?  I would say that it should either 
>
>a: just ignore IP addresses and bring up adjacencies as per the various standards 
>
>or 
>
>b: bring up the adjacency if there is EITHER a logical IPv4 subnet, OR if there is a logical IPv6 subnet. 
>
>Otherwise you get an IPv4 configuration error blocking the IPv6 traffic and vice versa, which would be wrong, I would have thought.
>
>Presumably the gating of an adjacency upon a valid IP subnet is switched off in anycase if both ends are configured to be unnumbered.
>
>Philip 
>
>From: Jeff Learman [<mailto:[email-masked]>mailto:[email-masked]] 
>>> ><http://external.juniper.net/mailman/listinfo/isis-wg>http://external.juniper.net/mailman/listinfo/isis-wg 
>>> 
>>> 
>
><http://external.juniper.net/mailman/listinfo/isis-wg>http://external.juniper.net/mailman/listinfo/isis-wg